#ARTUR VIÑAS FERRAN
#FIRST IMPLEMENTATION
#---------------------------------------------------------------------------------------------------------
#---------------------------------------------------------------------------------------------------------
#We import os to verify that the inputs and output do path and files do exist
import os
#We use argparse tu execute the file with the inputs and outputs from the terminal directly
import argparse
parser=argparse.ArgumentParser(description='Process_files')
#Define the inputs ('i' and 'o') and the output ('o')
parser.add_argument('-i',type=str, required=True, help="The path of the first input")
parser.add_argument("-g",type=str, required=True, help="The path of the second input")
parser.add_argument("-o",type=str, required=True, help="The path of the output file")
parser.add_argument("-n",type=str, required=False, help="The name of the output file (optional)")
args=parser.parse_args()
#Assign the inputs and output given to different variables
input_path_1=args.i
input_path_2=args.g
output_path=args.o
output_name=args.n
#Confirm that both input and output files and directories do exist.
#In case of error the program will stop and indicate where the error comes from
#Input 1
if os.path.exists(input_path_1)==False:
    print("The file or directory from the first input (or both) does not exist")
    exit()
if os.path.exists(input_path_2)==False:
    print("The file or directory from the second input (or both) does not exist")
    exit()
if os.path.isdir(output_path)==False:
    print("The directory of the output file doesn't exist")
    exit()
#We read both input files
doc1=open(input_path_1).read()
doc2=open(input_path_2).read()

#Create a new doc and concatenate both files
if output_name is None: #If the name of the output file is not given
    doc3 = open(output_path + "/document3.txt", 'a')
else: #If the name of the otput file is given
    doc3 = open(output_path + "/" + output_name, 'a')
doc3.write(doc1)
doc3.write(doc2)
doc3.close()